Bug 57078 - pkg-config escapes tilde in libs
Summary: pkg-config escapes tilde in libs
Status: RESOLVED FIXED
Alias: None
Product: pkg-config
Classification: Unclassified
Component: src (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: Dan Nicholson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-11-13 17:39 UTC by Michał Sawicz
Modified: 2012-12-08 20:13 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
Allow ~ through unescaped (1.82 KB, patch)
2012-11-13 18:36 UTC, Michał Sawicz
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Michał Sawicz 2012-11-13 17:39:25 UTC
test.pc file:
Name: test
Description: test module
Version: 1.0
Libs: -L~

`pkg-config --libs test` output:
-L\~

expected output:
-L~
Comment 1 Michał Sawicz 2012-11-13 18:36:10 UTC
Created attachment 70018 [details] [review]
Allow ~ through unescaped
Comment 2 Dan Nicholson 2012-12-05 20:47:31 UTC
This seems fine. ~ is a shell special character (home directory) when it's the leading character of a word. People can always escape it in the .pc file if they have that situation, though.

Patch looks good. I'll apply it soon.
Comment 3 Dan Nicholson 2012-12-08 20:13:52 UTC
Applied in 69beecd after resolving a conflict in check/Makefile.am and making the name in tilde.pc more specific than "test". Thanks for the patch.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.